/* stubs.c - Stub functions to allow linking without a few unneeded object files
 * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2005,
 *               2006, 2008 Free Software Foundation, Inc.
 * Copyright (C) 2010 Nicolas Boullis <nboullis@debian.org>
 *
 * This file is part of gpg-edit-recipients; some parts of it were copied
 * from the file gpgv.c of GnuPG.
 *
 * gpg-edit-recipients is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * gpg-edit-recipients is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

#include "gpg.h"
#include "packet.h"
#include "keydb.h"

void
display_online_help (const char *keyword)
{
  (void)keyword;
}

/* Stubs to avoid linking to photoid.c */
void 
show_photos (const struct user_attribute *attrs, int count, PKT_public_key *pk)
{
  (void)attrs;
  (void)count;
  (void)pk;
}

void
list_trustdb( const char *username )
{
  (void)username;
}

int
decrypt_data (void *procctx, PKT_encrypted *ed, DEK *dek)
{
  (void)procctx;
  (void)ed;
  (void)dek;
  return G10ERR_GENERAL;
}

int
revocation_reason_build_cb( PKT_signature *sig, void *opaque )
{
  (void)sig;
  (void)opaque;
  return 0;
}

struct revocation_reason_info *
ask_revocation_reason( int key_rev, int cert_rev, int hint )
{
  (void)key_rev;
  (void)cert_rev;
  (void)hint;
  return NULL;
}

void
release_revocation_reason_info( struct revocation_reason_info *reason )
{
  (void)reason;
}

int
make_keysig_packet( PKT_signature **ret_sig, PKT_public_key *pk,
                    PKT_user_id *uid, PKT_public_key *subpk,
                    PKT_secret_key *sk,
                    int sigclass, int digest_algo,
                    int sigversion, u32 timestamp, u32 duration,
                    int (*mksubpkt)(PKT_signature *, void *), void *opaque
                   )
{
  (void)ret_sig;
  (void)pk;
  (void)uid;
  (void)subpk;
  (void)sk;
  (void)sigclass;
  (void)digest_algo;
  (void)sigversion;
  (void)timestamp;
  (void)duration;
  (void)mksubpkt;
  (void)opaque;
  return G10ERR_GENERAL;
}

int
update_keysig_packet( PKT_signature **ret_sig,
                      PKT_signature *orig_sig,
                      PKT_public_key *pk,
                      PKT_user_id *uid, 
                      PKT_public_key *subpk,
                      PKT_secret_key *sk,
                      int (*mksubpkt)(PKT_signature *, void *),
                      void *opaque )
{
  (void)ret_sig;
  (void)orig_sig;
  (void)pk;
  (void)uid;
  (void)subpk;
  (void)sk;
  (void)mksubpkt;
  (void)opaque;
  return G10ERR_GENERAL;
}

int 
parse_image_header (const struct user_attribute *attr, byte *type, u32 *len)
{
  (void)attr;
  (void)type;
  (void)len;
  return 0;
}

char *
image_type_to_string (byte type, int string)
{
  (void)type;
  (void)string;
  return NULL;
}

PKT_user_id *
generate_photo_id(PKT_public_key *pk,const char *photo_name)
{
  (void)pk;
  (void)photo_name;
  return NULL;
}

int 
card_store_subkey (KBNODE node, int use)
{
  (void)node;
  (void)use;
  return 0;
}

int
card_generate_subkey (KBNODE pub_keyblock, KBNODE sec_keyblock)
{
  (void)pub_keyblock;
  (void)sec_keyblock;
  return 0;
}

int
build_sk_list( strlist_t locusr, SK_LIST *ret_sk_list,
               int unlock, unsigned int use )
{
  (void)locusr;
  (void)ret_sk_list;
  (void)unlock;
  (void)use;
  return G10ERR_GENERAL;
}

void
release_sk_list( SK_LIST sk_list )
{
  (void)sk_list;
}

int
random_is_faked (void)
{
  return 1;
}
